searchData={"items":[{"type":"module","title":"Simplify","doc":"Implementation of the [Ramer–Douglas–Peucker](https://en.wikipedia.org/wiki/Ramer%E2%80%93Douglas%E2%80%93Peucker_algorithm)\nalgorithm for reducing the number of points used to represent a curve.\n\nThe `Simplify` module contains a function `simplify` that accepts a List of\ncoordinates, each coordinate being a tuple `{x, y}`, and a tolerance.  The\nfunction reduces the number of points by removing points that are less than\nthe tolerance away from the simplified curve.\n\n```elixir\npoints = [{0, 0}, {0.05, 0.05}, {-0.05, 0.5}, {0, 1}, {0.05, 1.1}, {1, 1}, {0.5, 0.5}, {0, 0.0001}]\n\nSimplify.simplify(points, 0.1) # => [{0, 0}, {0.05, 1.1}, {1, 1}, {0, 0.0001}]\n```\n\nThe method will also take a `Geo.LineString` struct as created by the conversion\nfunctions in the Geo project (https://github.com/bryanjos/geo).  This allows\nfor easy import of GeoJSON or WKT/WKB formats.  This version of the function\nreturns a `Geo.LineString` of the simplified curve.\n\n```elixir\n\"{\"type\":\"LineString\":\"coordinates\":[[0,0],[0.05,0.05],[-0.05,0.5],[0,1],[0.05,1.1],[1,1],[0.5,0.5],[0,0.0001]]\"\n|> Jason.decode!\n|> Geo.JSON.decode\n|> Simplify.simplify(0.1)\n|> Geo.JSON.encode\n|> Jason.encode! # => \"{\"coordinates\":[[0,0],[0.05,1.1],[1,1],[0,0.0001]],\"type\":\"LineString\"}\"\n```","ref":"Simplify.html"},{"type":"function","title":"Simplify.simplify/2","doc":"","ref":"Simplify.html#simplify/2"},{"type":"type","title":"Simplify.point/0","doc":"","ref":"Simplify.html#t:point/0"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}